Skip to documentation
Workflow Developer API

Update Workflow Node

Patch selected fields on one node in the editable draft graph.

PATCH/developer/v1/workflows/{definition_id}/nodes/{node_id}

Authorizations

Authorization
stringheaderrequired

Send your GenHealth credential as Bearer <YOUR_API_KEY>. This endpoint requires workflow:write for the authenticated organization.

Headers

Accept
stringheader

Response media type. Use application/json for the current API.

Parameters

definition_idrequired
stringpath

node_idrequired
stringpath

Request body

Send an application/json request body. This body is required.

WorkflowNodeUpdateRequest
namestring | null
node_typestring | null
configobject<string, any> | null
positionarray<integer> | null
error_strategystring | null
retry_configobject<string, any> | null
default_valueobject<string, any> | null

Responses

200Successful Response
WorkflowMutationResponse
successboolean
errorstring | null
error_categorystring | null
retryableboolean | null
definition_idstring | null
version_idstring | null
node_idstring | null
node_namestring | null
422Validation Error
HTTPValidationError
detailarray<ValidationError>